name: bin-package-db
version: 0.0.0.0
id: bin-package-db-0.0.0.0-b99ff8351e6cad51a902f741b5afedb7
key: binpa_JPOxOw4FLalDxRNtBqZ2ji
license: BSD3
maintainer: ghc-devs@haskell.org
synopsis: The GHC compiler's view of the GHC package database format
description:
    This library is shared between GHC and ghc-pkg and is used by
    GHC to read package databases.
    .
    It only deals with the subset of the package database that the
    compiler cares about: modules paths etc and not package
    metadata like description, authors etc. It is thus not a
    library interface to ghc-pkg and is *not* suitable for
    modifying GHC package databases.
    .
    The package database format and this library are constructed in
    such a way that while ghc-pkg depends on Cabal, the GHC library
    and program do not have to depend on Cabal.
exposed: True
exposed-modules:
    GHC.PackageDb
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/binpa_JPOxOw4FLalDxRNtBqZ2ji
library-dirs: /usr/lib/ghc-7.10.3/binpa_JPOxOw4FLalDxRNtBqZ2ji
data-dir: /usr/share/x86_64-linux-ghc-7.10.3/bin-package-db-0.0.0.0
hs-libraries: HSbin-package-db-0.0.0.0-JPOxOw4FLalDxRNtBqZ2ji
depends:
    base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d
    binary-0.7.5.0-5784fd031a720c3b84e73006e444c7ca
    bytestring-0.10.6.0-c60f4c543b22c7f7293a06ae48820437
    directory-1.2.2.0-f8e14a9d121b76a00a0f669ee724a732
    filepath-1.4.0.0-f97d1e4aebfd7a03be6980454fe31d6e
haddock-interfaces: /usr/share/doc/ghc/html/libraries/bin-package-db-0.0.0.0/bin-package-db.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/bin-package-db-0.0.0.0
